ListComponent (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform.formitem

## Class ListComponent<T extends com.twosigma.beakerx.widget.SelectionWidget<?>>

- java.lang.Object
- - com.twosigma.beakerx.easyform.EasyFormComponent<T>
  - - com.twosigma.beakerx.easyform.formitem.ListComponent<T>

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality
  Direct Known Subclasses:
    SelectMultipleSingleWidget, SelectMultipleWidget

      public abstract class ListComponent<T extends com.twosigma.beakerx.widget.SelectionWidget<?>>
      extends EasyFormComponent<T>

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `widget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListComponent(T widget)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getMultipleSelection()`
    `abstract java.lang.Integer` | `getSize()`
    `java.util.Collection<java.lang.String>` | `getValues()`
    `void` | `setMultipleSelection(java.lang.Boolean multipleSelection)`
    `abstract void` | `setSize(java.lang.Integer size)`
    `void` | `setValues(java.util.Collection<java.lang.String> values)`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `addOnChangeListener, addOnInitListener, checkValue, clearListeners, close, fireChanged, fireInit, formatValue, getComm, getLabel, getValue, getWidget, isButton, isEnabled, onChange, onInit, registerUpdateValueCallback, removeOnChangeListener, removeOnInitListener, setEnabled, setLabel, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListComponent

          public ListComponent(T widget)

  - ### Method Detail

    - #### setSize

          public abstract void setSize(java.lang.Integer size)

    - #### getSize

          public abstract java.lang.Integer getSize()

    - #### setMultipleSelection

          public void setMultipleSelection(java.lang.Boolean multipleSelection)

    - #### getMultipleSelection

          public java.lang.Boolean getMultipleSelection()

    - #### setValues

          public void setValues(java.util.Collection<java.lang.String> values)

    - #### getValues

          public java.util.Collection<java.lang.String> getValues()